Page MenuHomePhabricator

Pasting a table into the middle of text causes all the corruptions with TreeModifier
Closed, ResolvedPublic8 Story Points

Description

Copy some rows of a table, e.g. from here and paste into the middle of a sentence in VE.

Pro-tip: Don't do this is the middle of a live demo.

Event Timeline

Esanders created this task.May 22 2017, 9:57 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 22 2017, 9:57 AM

Pro-tip: Don't do this is the middle of a live demo.

For my live demo, I first reverted the TreeModifier commit. Did you do that too?

Esanders renamed this task from Pasting a table into the middle of text causes all the corruptions to Pasting a table into the middle of text causes all the corruptions with TreeModifier.May 23 2017, 8:39 AM
Esanders assigned this task to dchan.

Yup - leaving this here as a test case for David.

Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF set the point value for this task to 8.

Change 357171 had a related patch set uploaded (by Jforrester; owner: Divec):
[VisualEditor/VisualEditor@master] TransactionProcessor: modify DM tree branches instead of rebuilding them

https://gerrit.wikimedia.org/r/357171

Change 357171 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] TransactionProcessor: modify DM tree branches instead of rebuilding them

https://gerrit.wikimedia.org/r/357171

Change 376396 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (834fd702f)

https://gerrit.wikimedia.org/r/376396

Change 376396 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (834fd702f)

https://gerrit.wikimedia.org/r/376396

Deskana closed this task as Resolved.Sep 7 2017, 11:02 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 7 2017, 11:02 AM